WinShopAPI docs
ReferenceProduct

Add a user-group membership

Adds the product to a user group and returns the new membership (201, `Location` header set). Requires `Permissions.Product.Create`.

POST
/api/products/{productId}/user-group-members

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Request Body

application/json
  1. body
id?|
Formatint32
productId?|
Formatint32
userGroupId?|
Formatint32

Response Body

application/json
  1. response
id?|
Formatint32
productId?|
Formatint32
userGroupId?|
Formatint32
curl -X POST 'https://<your-instance>/api/products/0/user-group-members' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "productId": 0,  "userGroupId": 0}